EMI 3 (Monte Bianco) - Update 7 (05.08.2013) - v. 3.5.0-1

The Update contains:

  • minor release of dCache, v. 2.6.5-2, VOMS-admin, v. 3.2.0 and WMS, v. 3.6.0
  • revision release of ARC, v. 3.0.3, BDII core, v. 1.5.2, BDII site, v. 1.2.1 , BDII top, v. 1.1.1, caNl, v. 2.1.2, EMIR, v. 2.1.0, GridSite, v. 2.1.2, PX, v. 1.0.24-1 and UI v. 3.0.2

ARC, v.3.0.3

What's new:

  • ARC products have received an update to:
    • core, clients, CE, Infosys and gridftp - from version 3.0.2 to 3.0.3
    • documents - from 1.3.2 to 1.3.3
    • metapackages - from 1.0.6 to 1.0.7
  • Nagios plugins and CAnL C++ are unchanged.

  • ARC Core
    • All blocking issues for ARC data tools to use dCache through HTTPS are now fixed:
      • Non-partial put is now default
      • Redirection for HTTP PUT is now allowed
    • Some other bugs where fixed, see Extended Release Notes.
  • ARC Compute Element
    • Fixed a typo for ServiceLevel attribute in JURA. JURA can now successfully register records in APEL. Some other bugs where fixed, see Extended Release Notes
  • Other components

Known Issues

  • There is a memory leak when using Java API for multiple job submission with files to BES interface.
  • The CPU time is not measured correctly for some jobs (e.g., ALICE) when using some of the back-ends (e.g., LoadLeveler and SLURM). The SGE backend is not affected.
  • JURA will not publish records to the APEL on a standard Debian/Ubuntu system, because the python-dirq package is not available for them. The workaround is to build this package from source.
  • arcmigrate is currently non-functional
  • Jobs submitted through EMI ES cannot be renewed or resumed
  • When using ARC client tools to submit jobs to CREAM, only JSDL can be used to describe jobs, and the broker type must be set to Null in the client.conf file
  • ARC GUI (arcjobtool) is not available yet, pending implementation of client library changes.
  • Standalone client tar-balls for Linux are not yet available.
  • Bug 2905 is solved using workaround. Source of problem is not yet identified.

Artifacts

SL5
x86_64 Binaries
nordugrid-arc-3.0.3-1.el5.x86_64.rpm
nordugrid-arc-acix-cache-3.0.3-1.el5.x86_64.rpm
nordugrid-arc-acix-core-3.0.3-1.el5.x86_64.rpm
nordugrid-arc-acix-index-3.0.3-1.el5.x86_64.rpm
nordugrid-arc-arcproxyalt-3.0.3-1.el5.x86_64.rpm
nordugrid-arc-arex-3.0.3-1.el5.x86_64.rpm
nordugrid-arc-aris-3.0.3-1.el5.x86_64.rpm
nordugrid-arc-cache-service-3.0.3-1.el5.x86_64.rpm
nordugrid-arc-ca-utils-3.0.3-1.el5.x86_64.rpm
nordugrid-arc-client-3.0.3-1.el5.x86_64.rpm
nordugrid-arc-client-tools-1.0.7-1.el5.noarch.rpm
nordugrid-arc-compute-element-1.0.7-1.el5.noarch.rpm
nordugrid-arc-datadelivery-service-3.0.3-1.el5.x86_64.rpm
nordugrid-arc-devel-3.0.3-1.el5.x86_64.rpm
nordugrid-arc-doc-1.3.3-1.el5.noarch.rpm
nordugrid-arc-doxygen-3.0.3-1.el5.x86_64.rpm
nordugrid-arc-egiis-3.0.3-1.el5.x86_64.rpm
nordugrid-arc-gridftpd-3.0.3-1.el5.x86_64.rpm
nordugrid-arc-gridmap-utils-3.0.3-1.el5.x86_64.rpm
nordugrid-arc-hed-3.0.3-1.el5.x86_64.rpm
nordugrid-arc-information-index-1.0.7-1.el5.noarch.rpm
nordugrid-arc-java-3.0.3-1.el5.x86_64.rpm
nordugrid-arc-ldap-infosys-3.0.3-1.el5.x86_64.rpm
nordugrid-arc-ldap-monitor-3.0.3-1.el5.x86_64.rpm
nordugrid-arc-misc-utils-3.0.3-1.el5.x86_64.rpm
nordugrid-arc-plugins-gfal-3.0.3-1.el5.x86_64.rpm
nordugrid-arc-plugins-globus-3.0.3-1.el5.x86_64.rpm
nordugrid-arc-plugins-needed-3.0.3-1.el5.x86_64.rpm
nordugrid-arc-plugins-xrootd-3.0.3-1.el5.x86_64.rpm
nordugrid-arc-python26-3.0.3-1.el5.x86_64.rpm
nordugrid-arc-python-3.0.3-1.el5.x86_64.rpm
nordugrid-arc-ws-monitor-3.0.3-1.el5.x86_64.rpm
i386 Binaries
nordugrid-arc-client-tools-1.0.7-1.el5.noarch.rpm
nordugrid-arc-compute-element-1.0.7-1.el5.noarch.rpm
nordugrid-arc-doc-1.3.3-1.el5.noarch.rpm
nordugrid-arc-information-index-1.0.7-1.el5.noarch.rpm
nordugrid-arc-nagios-plugins-1.6.0-1.el5.noarch.rpm
nordugrid-arc-nagios-plugins-doc-1.6.0-1.el5.noarch.rpm
nordugrid-arc-datadelivery-service-3.0.3-1.el5.i386.rpm
nordugrid-arc-plugins-globus-3.0.3-1.el5.i386.rpm
nordugrid-arc-client-3.0.3-1.el5.i386.rpm
nordugrid-arc-aris-3.0.3-1.el5.i386.rpm
nordugrid-arc-3.0.3-1.el5.i386.rpm
nordugrid-arc-cache-service-3.0.3-1.el5.i386.rpm
nordugrid-arc-python26-3.0.3-1.el5.i386.rpm
nordugrid-arc-doxygen-3.0.3-1.el5.i386.rpm
nordugrid-arc-acix-core-3.0.3-1.el5.i386.rpm
nordugrid-arc-arex-3.0.3-1.el5.i386.rpm
nordugrid-arc-arcproxyalt-3.0.3-1.el5.i386.rpm
nordugrid-arc-python-3.0.3-1.el5.i386.rpm
nordugrid-arc-ldap-infosys-3.0.3-1.el5.i386.rpm
nordugrid-arc-ca-utils-3.0.3-1.el5.i386.rpm
nordugrid-arc-devel-3.0.3-1.el5.i386.rpm
nordugrid-arc-plugins-gfal-3.0.3-1.el5.i386.rpm
nordugrid-arc-plugins-xrootd-3.0.3-1.el5.i386.rpm
nordugrid-arc-hed-3.0.3-1.el5.i386.rpm
nordugrid-arc-egiis-3.0.3-1.el5.i386.rpm
nordugrid-arc-acix-cache-3.0.3-1.el5.i386.rpm
nordugrid-arc-plugins-needed-3.0.3-1.el5.i386.rpm
nordugrid-arc-misc-utils-3.0.3-1.el5.i386.rpm
nordugrid-arc-gridmap-utils-3.0.3-1.el5.i386.rpm
nordugrid-arc-ldap-monitor-3.0.3-1.el5.i386.rpm
nordugrid-arc-acix-index-3.0.3-1.el5.i386.rpm
nordugrid-arc-java-3.0.3-1.el5.i386.rpm
nordugrid-arc-ws-monitor-3.0.3-1.el5.i386.rpm
nordugrid-arc-gridftpd-3.0.3-1.el5.i386.rpm
Source RPM
nordugrid-arc-3.0.3-1.el5.src.rpm
nordugrid-arc-doc-1.3.3-1.el5.src.rpm
nordugrid-arc-meta-1.0.7-1.el5.src.rpm
SL6
Binaries
nordugrid-arc-3.0.3-1.el6.x86_64.rpm
nordugrid-arc-acix-cache-3.0.3-1.el6.noarch.rpm
nordugrid-arc-acix-core-3.0.3-1.el6.noarch.rpm
nordugrid-arc-acix-index-3.0.3-1.el6.noarch.rpm
nordugrid-arc-arcproxyalt-3.0.3-1.el6.x86_64.rpm
nordugrid-arc-arex-3.0.3-1.el6.x86_64.rpm
nordugrid-arc-aris-3.0.3-1.el6.noarch.rpm
nordugrid-arc-ca-utils-3.0.3-1.el6.noarch.rpm
nordugrid-arc-cache-service-3.0.3-1.el6.x86_64.rpm
nordugrid-arc-client-3.0.3-1.el6.x86_64.rpm
nordugrid-arc-client-tools-1.0.7-1.el6.noarch.rpm
nordugrid-arc-compute-element-1.0.7-1.el6.noarch.rpm
nordugrid-arc-datadelivery-service-3.0.3-1.el6.x86_64.rpm
nordugrid-arc-devel-3.0.3-1.el6.x86_64.rpm
nordugrid-arc-doc-1.3.3-1.el6.noarch.rpm
nordugrid-arc-doxygen-3.0.3-1.el6.noarch.rpm
nordugrid-arc-egiis-3.0.3-1.el6.x86_64.rpm
nordugrid-arc-gridftpd-3.0.3-1.el6.x86_64.rpm
nordugrid-arc-gridmap-utils-3.0.3-1.el6.noarch.rpm
nordugrid-arc-hed-3.0.3-1.el6.x86_64.rpm
nordugrid-arc-information-index-1.0.7-1.el6.noarch.rpm
nordugrid-arc-java-3.0.3-1.el6.x86_64.rpm
nordugrid-arc-ldap-infosys-3.0.3-1.el6.noarch.rpm
nordugrid-arc-ldap-monitor-3.0.3-1.el6.noarch.rpm
nordugrid-arc-misc-utils-3.0.3-1.el6.x86_64.rpm
nordugrid-arc-plugins-gfal-3.0.3-1.el6.x86_64.rpm
nordugrid-arc-plugins-globus-3.0.3-1.el6.x86_64.rpm
nordugrid-arc-plugins-needed-3.0.3-1.el6.x86_64.rpm
nordugrid-arc-plugins-xrootd-3.0.3-1.el6.x86_64.rpm
nordugrid-arc-python-3.0.3-1.el6.x86_64.rpm
nordugrid-arc-ws-monitor-3.0.3-1.el6.noarch.rpm
i386 Binaries
nordugrid-arc-acix-cache-3.0.3-1.el6.noarch.rpm
nordugrid-arc-acix-core-3.0.3-1.el6.noarch.rpm
nordugrid-arc-acix-index-3.0.3-1.el6.noarch.rpm
nordugrid-arc-aris-3.0.3-1.el6.noarch.rpm
nordugrid-arc-ca-utils-3.0.3-1.el6.noarch.rpm
nordugrid-arc-client-tools-1.0.7-1.el6.noarch.rpm
nordugrid-arc-compute-element-1.0.7-1.el6.noarch.rpm
nordugrid-arc-doc-1.3.3-1.el6.noarch.rpm
nordugrid-arc-doxygen-3.0.3-1.el6.noarch.rpm
nordugrid-arc-gridmap-utils-3.0.3-1.el6.noarch.rpm
nordugrid-arc-information-index-1.0.7-1.el6.noarch.rpm
nordugrid-arc-ldap-infosys-3.0.3-1.el6.noarch.rpm
nordugrid-arc-ldap-monitor-3.0.3-1.el6.noarch.rpm
nordugrid-arc-ws-monitor-3.0.3-1.el6.noarch.rpm
nordugrid-arc-3.0.3-1.el6.i686.rpm
nordugrid-arc-arcproxyalt-3.0.3-1.el6.i686.rpm
nordugrid-arc-arex-3.0.3-1.el6.i686.rpm
nordugrid-arc-cache-service-3.0.3-1.el6.i686.rpm
nordugrid-arc-client-3.0.3-1.el6.i686.rpm
nordugrid-arc-datadelivery-service-3.0.3-1.el6.i686.rpm
nordugrid-arc-devel-3.0.3-1.el6.i686.rpm
nordugrid-arc-egiis-3.0.3-1.el6.i686.rpm
nordugrid-arc-gridftpd-3.0.3-1.el6.i686.rpm
nordugrid-arc-hed-3.0.3-1.el6.i686.rpm
nordugrid-arc-java-3.0.3-1.el6.i686.rpm
nordugrid-arc-misc-utils-3.0.3-1.el6.i686.rpm
nordugrid-arc-plugins-gfal-3.0.3-1.el6.i686.rpm
nordugrid-arc-plugins-globus-3.0.3-1.el6.i686.rpm
nordugrid-arc-plugins-needed-3.0.3-1.el6.i686.rpm
nordugrid-arc-plugins-xrootd-3.0.3-1.el6.i686.rpm
nordugrid-arc-python-3.0.3-1.el6.i686.rpm
Source RPM
nordugrid-arc-3.0.3-1.el6.src.rpm
nordugrid-arc-doc-1.3.3-1.el6.src.rpm
nordugrid-arc-meta-1.0.7-1.el6.src.rpm
Deb6 Binaries
nordugrid-arc-acix-cache_3.0.3-1~bpo60+1_all.deb
nordugrid-arc-acix-core_3.0.3-1~bpo60+1_all.deb
nordugrid-arc-acix-index_3.0.3-1~bpo60+1_all.deb
nordugrid-arc-arcproxyalt_3.0.3-1~bpo60+1_amd64.deb
nordugrid-arc-arex_3.0.3-1~bpo60+1_amd64.deb
nordugrid-arc-aris_3.0.3-1~bpo60+1_all.deb
nordugrid-arc-ca-utils_3.0.3-1~bpo60+1_all.deb
nordugrid-arc-cache-service_3.0.3-1~bpo60+1_amd64.deb
nordugrid-arc-client-tools_1.0.7~bpo60+1_all.deb
nordugrid-arc-client_3.0.3-1~bpo60+1_amd64.deb
nordugrid-arc-compute-element_1.0.7~bpo60+1_all.deb
nordugrid-arc-datadelivery-service_3.0.3-1~bpo60+1_amd64.deb
nordugrid-arc-dbg_3.0.3-1~bpo60+1_amd64.deb
nordugrid-arc-dev_3.0.3-1~bpo60+1_amd64.deb
nordugrid-arc-doc_1.3.3-1~bpo60+1_all.deb
nordugrid-arc-doxygen_3.0.3-1~bpo60+1_all.deb
nordugrid-arc-egiis_3.0.3-1~bpo60+1_amd64.deb
nordugrid-arc-gridftpd_3.0.3-1~bpo60+1_amd64.deb
nordugrid-arc-gridmap-utils_3.0.3-1~bpo60+1_all.deb
nordugrid-arc-hed_3.0.3-1~bpo60+1_amd64.deb
nordugrid-arc-information-index_1.0.7~bpo60+1_all.deb
nordugrid-arc-java_3.0.3-1~bpo60+1_amd64.deb
nordugrid-arc-ldap-infosys_3.0.3-1~bpo60+1_all.deb
nordugrid-arc-ldap-monitor_3.0.3-1~bpo60+1_all.deb
nordugrid-arc-misc-utils_3.0.3-1~bpo60+1_amd64.deb
nordugrid-arc-plugins-globus_3.0.3-1~bpo60+1_amd64.deb
nordugrid-arc-plugins-needed_3.0.3-1~bpo60+1_amd64.deb
nordugrid-arc-python_3.0.3-1~bpo60+1_amd64.deb
nordugrid-arc-ws-monitor_3.0.3-1~bpo60+1_all.deb
Deb6 Source
nordugrid-arc-doc_1.3.3-1~bpo60+1.debian.tar.gz
nordugrid-arc-doc_1.3.3-1~bpo60+1.dsc
nordugrid-arc-doc_1.3.3.orig.tar.gz
nordugrid-arc-meta_1.0.7~bpo60+1.dsc
nordugrid-arc_3.0.3-1~bpo60+1.debian.tar.gz
nordugrid-arc_3.0.3-1~bpo60+1.dsc
nordugrid-arc_3.0.3.orig.tar.gz

BDII core, v. 1.5.2

What's new:

  • This new version of the core BDII contains a fix for a minor security vulnerability affecting all flavours of the BDII. It also contains a set of minor bug fixes and some new features:

  • Bug fixes:
    • BUG #102140: Start bdii-update daemon from "/"
    • BUG #101709: Start bdii-update with -l option
    • BUG #101562: Service information provider dies if it can't get a hostname
    • BUG #100872: Service information provider updated to use new WMS rpm name
    • BUG #100822: Service information provider change for Argus PDP endpoint
    • BUG #100126: Service information provider change for new EMI 3 LB pid file
    • BUG #102168: Service information provider change to set new limit of 240 chars to ServiceData strings
  • New features:
    • BUG #102014: clean site and top ldap info provider cache after a BDII restart
    • BUG #101398: LDAP DB backend improvements for top BDII
    • BUG #101389: New YAIM parameter 'BDII_RAM_SIZE' that customises the RAM disk size for top BDII (Default is 1500M)

Instalaltion & Configuration:

  • A restart of the BDII is needed to benefit from the bug fixes and new features
  • A YAIM reconfiguration is needed if BDII_RAM_SIZE is customised.

Known Issues

  • Affects EPEL installations in SL5 upgrading to bdii >= 5.2.20 with Openldap 2.4 installed. In this scenario, the LDAP daemon will fail to start. YAIM detects that Openldap 2.4 is installed and tries to use it. On the other hand, the slapd.conf file has been defined to use Openldap 2.3. This is because Openldap 2.4 is not distributed in EPEL 5 and the necessary dependencies have been resolved with Openldap 2.3 packages. Please, uninstall Openldap 2.4 or add the following lines in /etc/bdii/bdii-slapd.conf:
    modulepath /usr/lib64/openldap2.4
    moduleload back_relay

Artifacts

SL5
Binaries
bdii-5.2.21-1.el5.noarch.rpm
glite-yaim-bdii-4.3.14-1.el5.noarch.rpm
glite-info-provider-service-1.13.1-1.el5.noarch.rpm
SL6
Binaries
bdii-5.2.21-1.el6.noarch.rpm
glite-yaim-bdii-4.3.14-1.el6.noarch.rpm
glite-info-provider-service-1.13.1-1.el6.noarch.rpm

BDII site, v. 1.2.1

What's new:

  • This new version of the site BDII contains a fix in the ldap info provider script to set to 'Unknown' cached GLUE state attributes

  • Bug fixes:
    • BUG #101709: Set to 'Unknown' ldap info provider cached state attributes for the site BDII

Instalaltion & Configuration

  • A restart of the BDII is needed to benefit from the bug fix

Known Issues

  • Sometimes GLUE state attributes are not cleanly replaced with the string 'Unknown'. i.e. "GLUE2EndpointHealthStateInfo: Unknownp and running"

Artifacts

SL5
Binaries
glite-info-provider-ldap-1.4.5-1.el5.noarch.rpm
SL6
Binaries
glite-info-provider-ldap-1.4.5-1.el6.noarch.rpm

BDII top, v. 1.1.1

What's new:

  • This new version of the top BDII fixes a bug in the publication of delayed delete GLUE entries. A new plugin is responsible for publishing cached entries with value 'Unknown' in the corresponding GLUE state attributes. This version also includes a bug fix in the glite-info-update-endpoints script.

  • Bug fixes:
    • BUG #99322: error message if manual file does not exist in the glite-info-update-endpoint configuration script
    • BUG #99298: new plugin to set GLUE state attributes to 'Unknown' when the delayed delete option is configured

  • Removed features:
    • BUG #101709: ldap info provider has been modified for not caching LDIF files in a top BDII

Instalaltion & Configuration

  • The new plugin is distributed in the new package glite-info-plugin-delayed-delete-status, which is installed as a dependecy of the bdii-config-top package
  • A restart of the BDII is needed to benefit from the bug fixes

Known Issues

  • The glite-info-update-endpoints script is executed as an hourly cron job. It creates a cache file of the list of GOCDB and OIM site LDAP URLs. When the BDII is restarted, the cache file is used. Although the list of sites does not change very frequently in GOCDB and OIM, for an up to date list, re-run glite-info-update-endpoints before the BDII restart:
  • - BUG #102173: glite-info-plugin-delayed-delete-status does not set to 'Unknown' Computing and Storage Share state attributes

Artifacts

SL5
Binaries
glite-info-provider-ldap-1.4.5-1.el5.noarch.rpm
bdii-config-top-1.0.8-1.el5.noarch.rpm
glite-info-plugin-delayed-delete-status-1.0.0-1.el5.noarch.rpm
glite-info-update-endpoints-2.0.13-1.el5.noarch.rpm
SL6
Binaries
glite-info-provider-ldap-1.4.5-1.el6.noarch.rpm
bdii-config-top-1.0.8-1.el6.noarch.rpm
glite-info-plugin-delayed-delete-status-1.0.0-1.el6.noarch.rpm
glite-info-update-endpoints-2.0.13-1.el6.noarch.rpm

caNl, v. 2.1.2

What's new:

  • This is a hotfix for a bug whereby the type of proxy to sign whas erroneously hard-coded to a single value for different types of proxies, most importantly affecting RFC proxies - CANL-Issues-1
  • For more details see Extended Release Notes

Installation & Configuration

  • There is no installation, the packages will be brought in by a depending application. That also covers the upgrade from caNl 1.x to 2.x. As soon as the depending application introduces a dependence on caNl v. 2, it will be pulled automatically.

Artifacts

SL5
x86_64 Binaries
canl-c-2.1.2-1.el5.x86_64.rpm
canl-c-debuginfo-2.1.2-1.el5.x86_64.rpm
canl-c-devel-2.1.2-1.el5.x86_64.rpm
canl-c-doc-2.1.2-1.el5.x86_64.rpm
canl-c-examples-2.1.2-1.el5.x86_64.rpm
i386 Binaries
canl-c-2.1.2-1.el5.i386.rpm
canl-c-debuginfo-2.1.2-1.el5.i386.rpm
canl-c-devel-2.1.2-1.el5.i386.rpm
canl-c-doc-2.1.2-1.el5.i386.rpm
canl-c-examples-2.1.2-1.el5.i386.rpm
Source RPM
canl-c-2.1.2-1.el5.src.rpm
SL6
x86_64 Binaries
canl-c-2.1.2-1.el6.x86_64.rpm
canl-c-debuginfo-2.1.2-1.el6.x86_64.rpm
canl-c-devel-2.1.2-1.el6.x86_64.rpm
canl-c-doc-2.1.2-1.el6.noarch.rpm
canl-c-examples-2.1.2-1.el6.x86_64.rpm
canl-c-2.1.2-1.el6.i686.rpm
i386 Binaries
canl-c-debuginfo-2.1.2-1.el6.i686.rpm
canl-c-devel-2.1.2-1.el6.i686.rpm
canl-c-doc-2.1.2-1.el6.noarch.rpm
canl-c-examples-2.1.2-1.el6.i686.rpm
Source RPM
canl-c-2.1.2-1.el6.src.rpm
Deb6 Binaries
libcanl-c2_2.1.2-1_amd64.deb
libcanl-c2-dbg_2.1.2-1_amd64.deb
libcanl-c-dev_2.1.2-1_amd64.deb
libcanl-c-examples_2.1.2-1_amd64.deb
libcanl-c-examples-dbg_2.1.2-1_amd64.deb
Deb6 Source
canl-c_2.1.2-1.dsc
canl-c_2.1.2-1.debian.tar.gz
canl-c_2.1.2.orig.tar.gz

dCache, v.2.6.5-2

What's new:

  • This is the sha-2 supporting release of dCache for EMI 3:
  • name changes: dcache-server to: dcache version: 2.6.5-2 (update tested on sl6 and debian)
  • Highlights of this update:
    • This release needs java 7 to run.
    • Support for certificates with SHA-2 checksum
    • NFS with ACL and read-only exports
    • webadmin pages with all their improvements are default
    • xrootd and http movers use less resources on pools
    • StAR records update
    • prototype of JSON API
    • new command to find out file locality
  • IMPORTANT NOTE - this release will only work if you use jdk 7
  • For more details see Extended Release Notes

Artifacts

SL5
Binaries
dcache-2.6.5-2.noarch.rpm
SL6
Binaries
dcache-2.6.5-2.noarch.rpm
Deb6 Binaries
dcache_2.6.5-2_all.deb

EMIR, v.2.1.0

What's new:

  • EMIR Server v. 1.3.0
  • EMIR Serp v. 1.2.3
    • Make default config file more confortable and informative
    • Extend registration log messages with proof urls
    • Allow 'cert', 'key', and 'cadir' attributes to be defined in 'common' section for common grid compatibility
    • Slight code cleanup. For example removing forgotten test file handling from code.
    • Make logfile optional for logrotate
    • see Extended Release notes for more information

Installation & Configuration

  • For an update run:
  # yum clean all
  # yum update

List of RfC

Artifacts

SL5
Binaries
emi-emir-1.3.0-0.sl5.noarch.rpm
emir-serp-1.2.3-1.el5.noarch.rpm
Binary tarballs
emi-emir-1.3.0-0.sl5.noarch.tar.gz
Source RPM
emi-emir-1.3.0-0.sl5.src.rpm
emir-serp-1.2.3-1.src.rpm
SL6
Binaries
emi-emir-1.3.0-0.sl6.noarch.rpm
emir-serp-1.2.3-1.el6.noarch.rpm
Binary tarballs
emi-emir-1.3.0-0.sl6.noarch.tar.gz
Source RPM
emi-emir-1.3.0-0.sl6.src.rpm
emir-serp-1.2.3-1.src.rpm
Deb6 Binaries
emi-emir_1.3.0-0_all.deb
emi-emir_1.3.0-0.deb_all.tar.gz
emir-serp_1.2.3-1_all.deb
Deb6 Source
emi-emir_1.3.0.orig.tar.gz
emi-emir_1.3.0-0.debian.tar.gz
emi-emir_1.3.0-0.dsc
emir-serp_1.2.3.orig.tar.gz
emir-serp_1.2.3-1.dsc
emir-serp_1.2.3-1.debian.tar.gz

GridSite, v. 2.1.2

What's new:

  • This is a hotfix for GridSite, allowing the previously disallowed dash character in delegation IDs. Delegation IDs containing non-alphanumeric characters other than a dot, coma, underscore or dash are rejected. It also properly sets the type of proxy before calling the signing function from caNl.
  • For more details see Extended Release Notes

Installation & Configuration

  • To deploy, update your installation and restart the Web-server.

Known issues:

  • When upgrading from the EMI repository on Debian, mod_gridsite is not correctly replaced. Uninstall the old module first and install the new one to work around the issue.

Artifacts

SL5
x86_64 Binaries
gridsite-2.1.2-1.el5.x86_64.rpm
gridsite-commands-2.1.2-1.el5.x86_64.rpm
gridsite-debuginfo-2.1.2-1.el5.x86_64.rpm
gridsite-devel-2.1.2-1.el5.x86_64.rpm
gridsite-libs-2.1.2-1.el5.x86_64.rpm
gridsite-service-clients-2.1.2-1.el5.x86_64.rpm
gridsite-compat1.7-1.7.27-1.el5.x86_64.rpm
gridsite-compat1.7-debuginfo-1.7.27-1.el5.x86_64.rpm
i386 Binaries
gridsite-2.1.2-1.el5.i386.rpm
gridsite-commands-2.1.2-1.el5.i386.rpm
gridsite-debuginfo-2.1.2-1.el5.i386.rpm
gridsite-devel-2.1.2-1.el5.i386.rpm
gridsite-libs-2.1.2-1.el5.i386.rpm
gridsite-service-clients-2.1.2-1.el5.i386.rpm
gridsite-compat1.7-1.7.27-1.el5.i386.rpm
gridsite-compat1.7-debuginfo-1.7.27-1.el5.i386.rpm
Source RPM
gridsite-2.1.2-1.el5.src.rpm
|gridsite-compat1.7-1.7.27-1.el5.src.rpm
SL6
x86_64 Binaries
gridsite-2.1.2-1.el6.x86_64.rpm
gridsite-commands-2.1.2-1.el6.x86_64.rpm
gridsite-debuginfo-2.1.2-1.el6.x86_64.rpm
gridsite-devel-2.1.2-1.el6.x86_64.rpm
gridsite-libs-2.1.2-1.el6.x86_64.rpm
gridsite-service-clients-2.1.2-1.el6.x86_64.rpm
gridsite-compat1.7-1.7.27-1.el6.x86_64.rpm
gridsite-compat1.7-debuginfo-1.7.27-1.el6.x86_64.rpm
i386 Binaries
gridsite-2.1.2-1.el6.i686.rpm
gridsite-commands-2.1.2-1.el6.i686.rpm
gridsite-debuginfo-2.1.2-1.el6.i686.rpm
gridsite-devel-2.1.2-1.el6.i686.rpm
gridsite-libs-2.1.2-1.el6.i686.rpm
gridsite-service-clients-2.1.2-1.el6.i686.rpm
gridsite-compat1.7-1.7.27-1.el6.i686.rpm
gridsite-compat1.7-debuginfo-1.7.27-1.el6.i686.rpm
Source RPM
gridsite-2.1.2-1.el6.src.rpm
Deb6 Binaries
gridsite_2.1.2-1_amd64.deb
gridsite-commands_2.1.2-1_amd64.deb
gridsite-dbg_2.1.2-1_amd64.deb
gridsite-service-clients_2.1.2-1_amd64.deb
libgridsite2_2.1.2-1_amd64.deb
libgridsite-dev_2.1.2-1_amd64.deb
Deb6 Source
gridsite_2.1.2-1.dsc
gridsite_2.1.2-1.debian.tar.gz
gridsite_2.1.2.orig.tar.gz

PX, v.1.0.24-1

What's new:

  • This is a bugfix release for ProxyRenewal, fixing memory handling issues and also minor packaging issues identified in Fedora review.
  • For more details see Extended Release notes

Installation & Configuration

  • Upon update, restart the ProxyRenewal daemon by calling /etc/init.d/glite-proxy-renewald restart

Artifacts

SL5
x86_64 Binaries
glite-px-myproxy-yaim-4.1.14-1.el5.noarch.rpm
glite-px-proxyrenewal-1.3.34-1.el5.x86_64.rpm
glite-px-proxyrenewal-debuginfo-1.3.34-1.el5.x86_64.rpm
glite-px-proxyrenewal-devel-1.3.34-1.el5.x86_64.rpm
glite-px-proxyrenewal-libs-1.3.34-1.el5.x86_64.rpm
glite-px-proxyrenewal-progs-1.3.34-1.el5.x86_64.rpm
i386 Binaries
glite-px-myproxy-yaim-4.1.14-1.el5.noarch.rpm
glite-px-proxyrenewal-1.3.34-1.el5.i386.rpm
glite-px-proxyrenewal-debuginfo-1.3.34-1.el5.i386.rpm
glite-px-proxyrenewal-devel-1.3.34-1.el5.i386.rpm
glite-px-proxyrenewal-libs-1.3.34-1.el5.i386.rpm
glite-px-proxyrenewal-progs-1.3.34-1.el5.i386.rpm
Source RPM
glite-px-myproxy-yaim-4.1.14-1.el5.src.rpm
glite-px-proxyrenewal-1.3.34-1.el5.src.rpm
SL6
x86_64 Binaries
glite-px-proxyrenewal-1.3.34-1.el6.x86_64.rpm
glite-px-proxyrenewal-debuginfo-1.3.34-1.el6.x86_64.rpm
glite-px-proxyrenewal-devel-1.3.34-1.el6.x86_64.rpm
glite-px-proxyrenewal-libs-1.3.34-1.el6.x86_64.rpm
glite-px-proxyrenewal-progs-1.3.34-1.el6.x86_64.rpm
i386 Binaries
glite-px-myproxy-yaim-4.1.14-1.el6.noarch.rpm
glite-px-proxyrenewal-1.3.34-1.el6.i686.rpm
glite-px-proxyrenewal-debuginfo-1.3.34-1.el6.i686.rpm
glite-px-proxyrenewal-devel-1.3.34-1.el6.i686.rpm
glite-px-proxyrenewal-libs-1.3.34-1.el6.i686.rpm
glite-px-proxyrenewal-progs-1.3.34-1.el6.i686.rpm
Source RPM
glite-px-myproxy-yaim-4.1.14-1.el6.src.rpm
glite-px-proxyrenewal-1.3.34-1.el6.src.rpm
Deb6 Binaries
glite-px-myproxy-yaim_4.1.14-1_all.deb
glite-px-proxyrenewal_1.3.34-1_amd64.deb
glite-px-proxyrenewal-progs_1.3.34-1_amd64.deb
glite-px-proxyrenewal-progs-dbg_1.3.34-1_amd64.deb
libglite-security-proxyrenewal1_1.3.34-1_amd64.deb
libglite-security-proxyrenewal1-dbg_1.3.34-1_amd64.deb
libglite-security-proxyrenewal-dev_1.3.34-1_amd64.deb
Deb6 Source
glite-px-myproxy-yaim_4.1.14-1.dsc
glite-px-proxyrenewal_1.3.34-1.dsc
glite-px-myproxy-yaim_4.1.14-1.debian.tar.gz
glite-px-myproxy-yaim_4.1.14.orig.tar.gz
glite-px-proxyrenewal_1.3.34-1.debian.tar.gz
glite-px-proxyrenewal_1.3.34.orig.tar.gz

UI, v.3.0.2

What's new:

  • added dependency on globus-gsi-cert-utils-progs, providing "grid-cert-info"

Installation & Configuration

  • For an update run:
  # yum clean all
  # yum ypdate

List of RfC

Artifacts

SL5
Binaries
emi-ui-3.0.2-1.el5.x86_64.rpm
Source RPM
emi-ui-3.0.2-1.el5.src.rpm
SL6
Binaries
emi-ui-3.0.2-1.el6.x86_64.rpm
Source RPM

VOMS-admin, v.3.2.0

What's new:

  • VOMS Admin server v. 3.2.0
    • This release provides several bug fixes and improvements for VOMS Admin server. In particular:
      • VOMS Admin now supports Group managers, a mechanism which allow the hierarchical dispatching of the notification resulting from user VO membership and group membership requests.
      • A Request log section has been added to the VOMS Admin web application. The log shows information about requests handled (approval time, who approved the request etc.)
    • The updated VOMS Admin user guide describing the new features can be found here.
    • For more information please see the Extended Release Notes
  • VOMS Admin client v. 2.0.19
    • This release provides the following bug fixes.
      • VOMS-144 : VOMS Admin CLI should print which certificate is used when the verbose option is set
    • For more information please see the Extended Release Notes

Installation & Configuration

  • VOMS-admin server:
    • Upgrading to this version requires an upgrade of the database and a reconfiguration depending on the version of VOMS admin which is being upgraded.
    • Follow the instructions in the VOMS System Administrator Guide.
  • VOMS-admin client
    • No configuration changes. Just run yum update to get the latest package from the repository.
      # yum update voms-admin-client 
    • For clean installations, follow the instructions in the VOMS System Administrator Guide.

Artifacts

SL5
Binaries
voms-admin-server-3.2.0-1.noarch.rpm
voms-admin-client-2.0.19-1.noarch.rpm
Source RPM
voms-admin-client-2.0.19-1.src.rpm
voms-admin-server-3.2.0-1.src.rpm
SL6
Binaries
voms-admin-server-3.2.0-1.el6.noarch.rpm
voms-admin-client-2.0.19-1.el6.noarch.rpm
Source RPM
voms-admin-client-2.0.19-1.el6.src.rpm
voms-admin-server-3.2.0-1.el6.src.rpm

WMS, v.3.6.0

What's new:

  • WMS server:
    • Bug fixes:
      • [WMS-85] - Use yaim WMS_PEPC_RESOURCEID to set the argus resource id
      • [WMS-92] - check the policies that keep ISBfiles in the WMS after sandbox creation
      • [WMS-93] - glite-wms-check-daemon wrongly checks ICE status
      • [WMS-94] - Three major bugs in EMI2 glite-wms-wmproxy 3.4.1-0.sl6
      • [WMS-97] - UMD Verification: EMI-3 WMS 3.5.0 Problem with Argus and WMS integration
      • [WMS-104] - Directory /var/condor/spool needs to be created when configuring WMS node
      • [WMS-87] - glite_wms_wmproxy_load_monitor needlessly installed with setuid privileges
  • WMS client:
    • Bug fixes:
      • [WMS-91] - WMS to limit ISB size as a whole, not only per file

Installation and Configuration

  • a YAIM reconfiguration is needed after the update
  • Before (re)configuration please specify in your site-info.def a value for WMS_PEPC_RESOURCEID, value that should also be present in the configuration of the ARGUS server:
   WMS_PEPC_RESOURCEID="your_resource_id"

Artifacts

SL5
Binaries
glite-wms-ui-commands-3.5.1-1.sl5.x86_64.rpm
glite-wms-configuration-3.6.0-1.sl5.x86_64.rpm
glite-wms-common-3.6.0-1.sl5.x86_64.rpm
glite-wms-common-devel-3.6.0-1.sl5.x86_64.rpm
glite-wms-interface-3.6.0-1.sl5.x86_64.rpm
Source RPM
glite-wms-common-3.6.0-1.sl5.src.rpm
glite-wms-configuration-3.6.0-1.sl5.src.rpm
glite-wms-interface-3.6.0-1.sl5.src.rpm
glite-wms-ui-commands-3.5.1-1.sl5.src.rpm
SL6
Binaries
glite-wms-common-3.6.0-1.sl6.x86_64.rpm
glite-wms-common-devel-3.6.0-1.sl6.x86_64.rpm
glite-wms-configuration-3.6.0-1.sl6.x86_64.rpm
glite-wms-interface-3.6.0-1.sl6.x86_64.rpm
glite-wms-ui-commands-3.5.1-1.sl6.x86_64.rpm
Source RPM
glite-wms-common-3.6.0-1.sl6.src.rpm
glite-wms-configuration-3.6.0-1.sl6.src.rpm
glite-wms-interface-3.6.0-1.sl6.src.rpm
glite-wms-ui-commands-3.5.1-1.sl6.src.rpm
Edit | Attach | Watch | Print version | History: r32 < r31 < r30 < r29 < r28 | Backlinks | Raw View | WYSIWYG | More topic actions
Topic revision: r32 - 2013-10-04 - DoinaCristinaAiftimiei
 
    • Cern Search Icon Cern Search
    • TWiki Search Icon TWiki Search
    • Google Search Icon Google Search

    EMI All webs login

This site is powered by the TWiki collaboration platform Powered by PerlCopyright & 2008-2020 by the contributing authors. All material on this collaboration platform is the property of the contributing authors.
Ideas, requests, problems regarding TWiki? Send feedback